_, class = UnitClass("player")
if class == "MONK" then

local ADDON_NAME, namespace = ...
local L = namespace.L

MHMenuButtons = 0
if not MonkHelper_ActiveProfile then
MonkHelper_ActiveProfile = 1
end
local deleteprofile = ""

function MonkHelper_CreateOptionsMenu()
CreateFrame("Frame", "MHOptionsFrame", UIParent)
MHOptionsFrame:SetFrameStrata("HIGH")
MHOptionsFrame:SetFrameLevel(4)
MHOptionsFrame:SetPoint("CENTER")
MHOptionsFrame:SetWidth(845)
MHOptionsFrame:SetHeight(670)
MHOptionsFrame:Hide()
CreateFrame("Frame", "$parentBorder", MHOptionsFrame)
MHOptionsFrameBorder:SetWidth(635)
MHOptionsFrameBorder:SetHeight(570)
MHOptionsFrameBorder:SetPoint("RIGHT", MHOptionsFrame, "RIGHT", -15, 10)
MHOptionsFrameBorder:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})
CreateFrame("Frame", "$parentHeaderFrame", MHOptionsFrame)
MHOptionsFrameHeaderFrame:SetHeight(70)
MHOptionsFrameHeaderFrame:SetWidth(350)
MHOptionsFrameHeaderFrame:SetPoint("CENTER", MHOptionsFrame, "TOP", 0, -18)
MHOptionsFrameHeaderFrame:CreateTexture("$parentBackground")
MHOptionsFrameHeaderFrameBackground:SetAllPoints()
MHOptionsFrameHeaderFrameBackground:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
MHOptionsFrameHeaderFrame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHOptionsFrameHeaderFrameText:SetTextColor(0, 1, 0.6)
MHOptionsFrameHeaderFrameText:SetText("Monk Helper")
MHOptionsFrameHeaderFrameText:SetTextHeight(16)
MHOptionsFrameHeaderFrameText:SetPoint("CENTER", MHOptionsFrameHeaderFrame, "CENTER", 0, 14)
MHOptionsFrame:CreateTexture("$parentBackground")
MHOptionsFrameBackground:SetTexture(0, 0, 0, 0.8)
MHOptionsFrameBackground:SetPoint("CENTER")
MHOptionsFrameBackground:SetWidth(MHOptionsFrame:GetWidth() - 18)
MHOptionsFrameBackground:SetHeight(MHOptionsFrame:GetHeight() - 18)
MHOptionsFrame:SetBackdrop({edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 25})
CreateFrame("Frame", "$parentButtons", MHOptionsFrame)
MHOptionsFrameButtons:SetWidth(180)
MHOptionsFrameButtons:SetHeight(570)
MHOptionsFrameButtons:SetPoint("LEFT", MHOptionsFrame, "LEFT", 15, 10)
MHOptionsFrameButtons:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})

MHClose = CreateFrame("Button", "MHClose", MHOptionsFrame, "UIPanelCloseButton")
MHClose:ClearAllPoints()
MHClose:SetPoint("TOPRIGHT", MHOptionsFrame, "TOPRIGHT", -5, -5)
MHClose:SetScript("OnClick", function(self)
self:GetParent():Hide()
MonkHelper_Cancel()
MonkHelper_OnEvent()
end)

MHApply = CreateFrame("Button", "MHApply", MHOptionsFrame, "UIPanelButtonTemplate")
MHApply:SetHeight(30)
MHApply:SetWidth(80)
MHApply:SetText(L["APPLY"])
MHApply:ClearAllPoints()
MHApply:SetPoint("BOTTOMRIGHT", MHOptionsFrame, "BOTTOMRIGHT", -15, 15)
MHApply:SetScript("OnClick", function(self)
MonkHelper_Apply()
MonkHelper_OnEvent()
end)

MHCancel = CreateFrame("Button", "MHCancel", MHOptionsFrame, "UIPanelButtonTemplate")
MHCancel:SetHeight(30)
MHCancel:SetWidth(80)
MHCancel:SetText(L["CANCEL"])
MHCancel:ClearAllPoints()
MHCancel:SetPoint("BOTTOMRIGHT", MHOptionsFrame, "BOTTOMRIGHT", -100, 15)
MHCancel:SetScript("OnClick", function(self)
MonkHelper_Cancel()
self:GetParent():Hide()
MonkHelper_OnEvent()
end)

MHOkay = CreateFrame("Button", "MHOkay", MHOptionsFrame, "UIPanelButtonTemplate")
MHOkay:SetHeight(30)
MHOkay:SetWidth(80)
MHOkay:SetText(L["OKAY"])
MHOkay:ClearAllPoints()
MHOkay:SetPoint("BOTTOMRIGHT", MHOptionsFrame, "BOTTOMRIGHT", -185, 15)
MHOkay:SetScript("OnClick", function(self) 
MonkHelper_Apply()
MonkHelper_OnEvent()
self:GetParent():Hide()
end)

MHshowframes = CreateFrame("Button", "MHShowFrames", MHOptionsFrame, "UIPanelButtonTemplate")
MHshowframes:SetWidth(120)
MHshowframes:SetHeight(30)
MHshowframes:SetPoint("BOTTOMRIGHT", MHOptionsFrame, "BOTTOMRIGHT", -270, 15)
MHshowframes:SetText(L["SHOW_ALL_FRAMES"])
MHshowframes:SetScript("OnClick", MonkHelper_ShowFrames)

CreateFrame("Frame", "MHReloadUI", UIParent)
MHReloadUI:SetHeight(80)
MHReloadUI:SetWidth(230)
MHReloadUI:SetPoint("CENTER")
MHReloadUI:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHReloadUIText:SetPoint("TOP", MHReloadUI, "TOP", 0, -10)
MHReloadUIText:SetText(L["RELOADUI"])
MHReloadUI:CreateTexture("$parentBG")
MHReloadUIBG:SetTexture(0, 0, 0, 0.8)
MHReloadUIBG:SetPoint("CENTER")
MHReloadUIBG:SetWidth(MHReloadUI:GetWidth() - 5)
MHReloadUIBG:SetHeight(MHReloadUI:GetHeight() - 5)
MHReloadUI:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})
CreateFrame("Button", "$parentOkay", MHReloadUI, "UIPanelButtonTemplate")
MHReloadUIOkay:ClearAllPoints()
MHReloadUIOkay:SetWidth(60)
MHReloadUIOkay:SetHeight(30)
MHReloadUIOkay:SetPoint("BOTTOM", MHReloadUI, "BOTTOM", -37, 5)
MHReloadUIOkay:SetText(L["OKAY"])
MHReloadUIOkay:SetScript("OnClick", function()
ReloadUI()
MHReloadUI:Hide()
end)
CreateFrame("Button", "$parentCancel", MHReloadUI, "UIPanelButtonTemplate")
MHReloadUICancel:ClearAllPoints()
MHReloadUICancel:SetWidth(60)
MHReloadUICancel:SetHeight(30)
MHReloadUICancel:SetPoint("BOTTOM", MHReloadUI, "BOTTOM", 37, 5)
MHReloadUICancel:SetText(L["CANCEL"])
MHReloadUICancel:SetScript("OnClick", function()
MHReloadUI:Hide()
end)
MHReloadUI:SetFrameStrata("HIGH")
MHReloadUI:SetFrameLevel(3)
MHReloadUI:Hide()

CreateFrame("Frame", "MHDefaultsWarning", MHOptionsFrame)
MHDefaultsWarning:SetHeight(100)
MHDefaultsWarning:SetWidth(230)
MHDefaultsWarning:SetPoint("CENTER")
MHDefaultsWarning:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHDefaultsWarningText:SetPoint("TOP", MHDefaultsWarning, "TOP", 0, -10)
MHDefaultsWarningText:SetText(L["DEFAULTS_WARNING"])
MHDefaultsWarning:CreateTexture("$parentBG")
MHDefaultsWarningBG:SetTexture(0, 0, 0, 0.8)
MHDefaultsWarningBG:SetPoint("CENTER")
MHDefaultsWarningBG:SetWidth(MHDefaultsWarning:GetWidth() - 5)
MHDefaultsWarningBG:SetHeight(MHDefaultsWarning:GetHeight() - 5)
MHDefaultsWarning:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})
CreateFrame("Button", "$parentOkay", MHDefaultsWarning, "UIPanelButtonTemplate")
MHDefaultsWarningOkay:ClearAllPoints()
MHDefaultsWarningOkay:SetWidth(60)
MHDefaultsWarningOkay:SetHeight(30)
MHDefaultsWarningOkay:SetPoint("BOTTOM", MHDefaultsWarning, "BOTTOM", -37, 5)
MHDefaultsWarningOkay:SetText(L["OKAY"])
MHDefaultsWarningOkay:SetScript("OnClick", function()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options = nil
MonkHelper_Check()
MonkHelper_Cancel()
MonkHelper_PlaceFrames()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
MHDefaultsWarning:Hide()
end)
CreateFrame("Button", "$parentCancel", MHDefaultsWarning, "UIPanelButtonTemplate")
MHDefaultsWarningCancel:ClearAllPoints()
MHDefaultsWarningCancel:SetWidth(60)
MHDefaultsWarningCancel:SetHeight(30)
MHDefaultsWarningCancel:SetPoint("BOTTOM", MHDefaultsWarning, "BOTTOM", 37, 5)
MHDefaultsWarningCancel:SetText(L["CANCEL"])
MHDefaultsWarningCancel:SetScript("OnClick", function()
MHDefaultsWarning:Hide()
end)
MHDefaultsWarning:SetFrameStrata("HIGH")
MHDefaultsWarning:Hide()
MHDefaultsWarning:SetFrameLevel(4)
MHDefaults = CreateFrame("Button", "MHDefaults", MHOptionsFrame, "UIPanelButtonTemplate")
MHDefaults:SetHeight(30)
MHDefaults:SetWidth(80)
MHDefaults:SetText(L["DEFAULTS"])
MHDefaults:ClearAllPoints()
MHDefaults:SetPoint("BOTTOMLEFT", MHOptionsFrame, "BOTTOMLEFT", 15, 15)
MHDefaults:SetScript("OnClick", function()
MHDefaultsWarning:Show()
end)


CreateFrame("Frame", "MHDeleteWarning", MHOptionsFrame)
MHDeleteWarning:SetHeight(120)
MHDeleteWarning:SetWidth(230)
MHDeleteWarning:SetPoint("CENTER")
MHDeleteWarning:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHDeleteWarningText:SetPoint("TOP", MHDeleteWarning, "TOP", 0, -10)
MHDeleteWarning:CreateTexture("$parentBG")
MHDeleteWarningBG:SetTexture(0, 0, 0, 0.8)
MHDeleteWarningBG:SetPoint("CENTER")
MHDeleteWarningBG:SetWidth(MHDeleteWarning:GetWidth() - 5)
MHDeleteWarningBG:SetHeight(MHDeleteWarning:GetHeight() - 5)
MHDeleteWarning:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})
CreateFrame("Button", "$parentOkay", MHDeleteWarning, "UIPanelButtonTemplate")
MHDeleteWarningOkay:ClearAllPoints()
MHDeleteWarningOkay:SetWidth(60)
MHDeleteWarningOkay:SetHeight(30)
MHDeleteWarningOkay:SetPoint("BOTTOM", MHDeleteWarning, "BOTTOM", -37, 5)
MHDeleteWarningOkay:SetText(L["OKAY"])
MHDeleteWarningOkay:SetScript("OnClick", function()
for idx = 1, #MonkHelper_Profiles do
if MonkHelper_Profiles[idx].name == deleteprofile then
print("|cff00ff96"..L["PROFILE_DELETED"]..MonkHelper_Profiles[idx].name.."|r")
_G["MHProfileFrameContentButton"..#MonkHelper_Profiles]:Hide()
_G["MHProfileFrameContentButton"..idx].clicked = false
if MonkHelper_ActiveProfile == idx then
if MonkHelper_ActiveProfile == 1 and #MonkHelper_Profiles == 1 then
table.insert(MonkHelper_Profiles, {name = UnitName("player"), active = true})
MonkHelper_Check(nil, 2)
MonkHelper_ActiveProfile = 2
table.remove(MonkHelper_Profiles, idx)
MonkHelper_ActiveProfile = 1
else
MonkHelper_ActiveProfile = 1
table.remove(MonkHelper_Profiles, idx)
end
else
if MonkHelper_ActiveProfile > idx then
MonkHelper_ActiveProfile = MonkHelper_ActiveProfile - 1
end
table.remove(MonkHelper_Profiles, idx)
end

if MonkHelper_Profiles[MonkHelper_ActiveProfile].active ~= true then
MonkHelper_Profiles[MonkHelper_ActiveProfile].active = true
MonkHelper_UpdateProfile()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile].clicked = true
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:Show()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Text"]:SetTextColor(1, 1, 1)
deleteprofile = ""
MHDeleteWarning:Hide()
return
else
MonkHelper_UpdateProfile()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile].clicked = true
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:Show()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Text"]:SetTextColor(1, 1, 1)
deleteprofile = ""
MHDeleteWarning:Hide()
return
end
end
end
print("|cff00ff96"..L["PROFILE_NOT_FOUND"]..deleteprofile.."|r")
deleteprofile = ""
MHDeleteWarning:Hide()
end)
CreateFrame("Button", "$parentCancel", MHDeleteWarning, "UIPanelButtonTemplate")
MHDeleteWarningCancel:ClearAllPoints()
MHDeleteWarningCancel:SetWidth(60)
MHDeleteWarningCancel:SetHeight(30)
MHDeleteWarningCancel:SetPoint("BOTTOM", MHDeleteWarning, "BOTTOM", 37, 5)
MHDeleteWarningCancel:SetText(L["CANCEL"])
MHDeleteWarningCancel:SetScript("OnClick", function()
MHDeleteWarning:Hide()
end)
MHDeleteWarning:SetFrameStrata("HIGH")
MHDeleteWarning:Hide()
MHDeleteWarning:SetFrameLevel(4)



local x, y, xoff, yoff = 0, 0, 15, -20
MonkHelper = {}
MonkHelper.panel = CreateFrame("Frame", "MHOptions", MHOptionsFrame)
MonkHelper.panel:SetWidth(625)
MonkHelper.panel:SetHeight(570)
MonkHelper.panel:SetPoint("LEFT", MHOptionsFrameButtons, "RIGHT", 5, 20)
MonkHelper.panel.name = "Monk Helper"

MonkHelper.panel:Hide()


----------------------------------------------------------------------
y = 0
y = y + yoff * 2
MHHideFrames = CreateFrame("CheckButton", "MHHideFrames", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHHideFrames:SetPoint("TOPLEFT", 15, y)
MHHideFramesText:SetText(L["HIDE_FRAMES"])
MHHideFrames:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.hideframes)
-----------------------------------------------------------------------
y = y + yoff
MHLockFrames = CreateFrame("CheckButton", "MHLockFrames", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHLockFrames:SetPoint("TOPLEFT", 15, y)
MHLockFramesText:SetText(L["LOCK_FRAMES"])
MHLockFrames:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.lockframes)
-----------------------------------------------------------------------
y = y + yoff
MHMiniMapButtonShow = CreateFrame("CheckButton", "MHMiniMapButtonShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHMiniMapButtonShow:SetPoint("TOPLEFT", 15, y)
MHMiniMapButtonShowText:SetText(L["SHOW_MINIMAP_BUTTON"])
MHMiniMapButtonShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhminimapbutton)
-----------------------------------------------------------------------

y = y + (yoff * 2)
MHCastingBarFrameMover = CreateFrame("Button", "MHCastingBarFrameMover", MonkHelper.panel, "UIPanelButtonTemplate")
MHCastingBarFrameMover:SetHeight(30)
MHCastingBarFrameMover:SetWidth(150)
MHCastingBarFrameMover:SetText(L["MOVE_CASTING_BAR"])
MHCastingBarFrameMover:ClearAllPoints()
MHCastingBarFrameMover:SetPoint("TOPLEFT", 15, y)
MHCastingBarFrameMover:SetScript("OnClick", function(self)
CastingBarFrameDrag:Show()
MHcastingbarframedelay = 60
end)
-----------------------------------------------------------------------
y = -40
MonkHelper.panel:CreateFontString("MHProfileHeader", "OVERLAY", "GameFontNormal")
MHProfileHeader:SetPoint("TOP", 175, y)
MHProfileHeader:SetTextHeight(16)
MHProfileHeader:SetText(L["PROFILE"]..MonkHelper_Profiles[MonkHelper_ActiveProfile].name)
-----------------------------------------------------------------------
y = y + yoff * 1.5
CreateFrame("Frame", "MHProfileFrame", MonkHelper.panel)
MHProfileFrame:SetPoint("TOP", 180, y)
MHProfileFrame:SetWidth(200)
MHProfileFrame:SetHeight(300)
MHProfileFrame:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})


MHProfileFrameScrollFrame = CreateFrame("ScrollFrame", "MHProfileFrameScrollFrame", MHProfileFrame)
MHProfileFrameScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MHProfileFrameScrollFrame:SetPoint("BOTTOMRIGHT", -30, 40) 

MHProfileFrameContent = CreateFrame("Frame", "MHProfileFrameContent", MHProfileFrameScrollFrame)
MHProfileFrameContent:SetPoint("CENTER")
MHProfileFrameContent:SetWidth(160)
MHProfileFrameContent:SetHeight(#MonkHelper_Profiles * 20 + 300)
MHProfileFrameScrollFrame:SetScrollChild(MHProfileFrameContent)

MHProfileFrameScroll = CreateFrame("Slider", "MHProfileFrameScroll", MHProfileFrameScrollFrame, "UIPanelScrollBarTemplate")
MHProfileFrameScroll:CreateTexture("$parentBG")
MHProfileFrameScrollBG:SetWidth(16)
MHProfileFrameScrollBG:SetHeight(245)
MHProfileFrameScrollBG:SetPoint("CENTER", -0.5, 0)
MHProfileFrameScrollBG:SetTexture(0.2, 0.2, 0.2, 0.5)
MHProfileFrameScroll:SetOrientation("VERTICAL")
MHProfileFrameScroll:SetWidth(20)
MHProfileFrameScroll:SetHeight(250)
MHProfileFrameScroll:SetPoint("RIGHT", MHProfileFrame, "RIGHT", -5, 0)
MHProfileFrameScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHProfileFrameScroll:SetValueStep(20)
MHProfileFrameScroll:SetValue(0)
MHProfileFrameContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHProfileFrameScroll:GetValue()
if delta > 0  then
MHProfileFrameScroll:SetValue(scroll - MHProfileFrameScroll:GetValueStep())
elseif delta < 0 then
MHProfileFrameScroll:SetValue(scroll + MHProfileFrameScroll:GetValueStep())
end
end)
MHProfileFrameScroll:SetMinMaxValues(0, (#MonkHelper_Profiles * 20))
MHProfileFrameScroll:SetValue(0)
----------------------------------------------------------------------------------
y = y + yoff * 2 - 270
MHProfileInput = CreateFrame("EditBox", "MHProfileInput", MonkHelper.panel, "InputBoxTemplate")
MHProfileInput:SetPoint("TOP", 185, y)
MHProfileInput:SetWidth(200)
MHProfileInput:SetHeight(20)
MHProfileInput:SetAutoFocus(false)
-----------------------------------------------------------------------
-----------------------------------------------------------------------
y = y + yoff * 2 + 10

MHNew = CreateFrame("Button", "MHNew", MonkHelper.panel, "UIPanelButtonTemplate")
MHNew:SetHeight(30)
MHNew:SetWidth(80)
MHNew:SetText(L["NEW"])
MHNew:ClearAllPoints()
MHNew:SetPoint("TOP", 95, y)
MHNew:SetScript("OnClick", function(self) 

for idx = 1, #MonkHelper_Profiles do
if MonkHelper_Profiles[idx].name == MHProfileInput:GetText() then
MHProfileInput:SetText("")
print("|cff00ff96"..L["PROFILE_ALREADY_EXISTS"].."|r")
return
elseif MHProfileInput:GetText() == "" then
print("|cff00ff96"..L["BAD_PROFILE_NAME"].."|r")
return
end
end

MonkHelper_Profiles[MonkHelper_ActiveProfile].active = false
table.insert(MonkHelper_Profiles, {name = MHProfileInput:GetText(), active = true})
MonkHelper_Check(nil, #MonkHelper_Profiles)
MonkHelper_ActiveProfile = #MonkHelper_Profiles
MonkHelper_Profiles[MonkHelper_ActiveProfile].active = true
print("|cff00ff96"..L["PROFILE_CREATED"]..MHProfileInput:GetText().."|r")
MonkHelper_UpdateProfile()
MHProfileInput:SetText("")
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile].clicked = true
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:Show()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Text"]:SetTextColor(1, 1, 1)
MonkHelper_Cancel()
end)

MHLoad = CreateFrame("Button", "MHLoad", MonkHelper.panel, "UIPanelButtonTemplate")
MHLoad:SetHeight(30)
MHLoad:SetWidth(80)
MHLoad:SetText(L["LOAD"])
MHLoad:ClearAllPoints()
MHLoad:SetPoint("TOP", 180, y)
MHLoad:SetScript("OnClick", function(self)

MonkHelper_Profiles[MonkHelper_ActiveProfile].active = false
for idx = 1, #MonkHelper_Profiles do 
if MonkHelper_Profiles[idx].name == MHProfileInput:GetText() then
MonkHelper_Profiles[idx].active = true
MonkHelper_UpdateProfile()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile].clicked = true
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:Show()
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G["MHProfileFrameContentButton"..MonkHelper_ActiveProfile.."Text"]:SetTextColor(1, 1, 1)
return
end
end
print("|cff00ff96"..L["PROFILE_NOT_FOUND"]..MHProfileInput:GetText().."|r")
MonkHelper_Profiles[MonkHelper_ActiveProfile].active = true
end)

MHDelete = CreateFrame("Button", "MHDelete", MonkHelper.panel, "UIPanelButtonTemplate")
MHDelete:SetHeight(30)
MHDelete:SetWidth(80)
MHDelete:SetText(L["DELETE"])
MHDelete:ClearAllPoints()
MHDelete:SetPoint("TOP", 265, y)
MHDelete:SetScript("OnClick", function(self) 
MHDeleteWarningText:SetText(L["DELETE_WARNING"]..MHProfileInput:GetText())
MHDeleteWarning:Show()
deleteprofile = MHProfileInput:GetText()
MHProfileInput:SetText("")
end)

end



SLASH_MONKHELPER1 = "/mh"
SLASH_MONKHELPER2 = "/monkhelper"
SlashCmdList["MONKHELPER"] = function()
for idx = 1, MHMenuButtons do
local frame = _G["MHOptionsFrameButtonsButton"..idx]
frame.clicked = false
_G["MHOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
_G["MHOptionsFrameButtonsButton"..idx.."Text"]:SetTextColor(1, 0.83, 0)
frame.parent:Hide()
end
MHOptionsFrameButtonsButton1:Click()
MHOptionsFrame:Show()
end

function MonkHelper_FinishOptionsMenu()
for frame in pairs(MonkHelper) do
MHMenuButtons = MHMenuButtons + 1
end

local buttoncount = 1

for frame, value in pairs(MonkHelper) do
local button = CreateFrame("Button", "$parentButton"..(buttoncount), MHOptionsFrameButtons)
button.parent = MonkHelper[frame]
button.clicked = false
button:SetWidth(160)
button:SetHeight(20)
button:SetScript("OnEnter", MonkHelper_MenuOnEnter)
button:SetScript("OnLeave", MonkHelper_MenuOnLeave)
button:SetScript("OnClick", MonkHelper_MenuOnClick)
text = button:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetPoint("LEFT")
text:SetJustifyH("LEFT")
text:SetTextColor(1, 0.83, 0)
text:SetText(MonkHelper[frame].name)
highlight = button:CreateTexture("$parentHighlight")
highlight:SetAllPoints()
highlight:Hide()
buttoncount = buttoncount + 1
end
MHProfileFrame:SetFrameLevel(5)
MHReloadUI:SetFrameLevel(6)
MHDeleteWarning:SetFrameLevel(6)
MHDefaultsWarning:SetFrameLevel(7)

for idx = 1, MHMenuButtons do
if idx == 1 then
_G["MHOptionsFrameButtonsButton"..idx]:SetPoint("TOPLEFT", 10, -10)
else
_G["MHOptionsFrameButtonsButton"..idx]:SetPoint("TOP", _G["MHOptionsFrameButtonsButton"..(idx - 1)], "BOTTOM")
end
end

end


function MonkHelper_Cancel()
MHMiniMapButtonShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhminimapbutton)
MHProfileHeader:SetText(L["PROFILE"]..MonkHelper_Profiles[MonkHelper_ActiveProfile].name)
MHLockFrames:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.lockframes)
MHHideFrames:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.hideframes)
MHEnableParalysisMonitor:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor)
MHParalysisApplyNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisapplynotification)
MHParalysisApplyNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisremovenotification)
MHParalysisApplyNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisannounce)
MHParalysisSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.paralysis)
MHEnableTigerPalmSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbtigerpalm)
MHEnableBlackoutKickSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbblackoutkick)
MHEnableVitalMistsSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.vitalmists)
MHEnableTouchOfDeathSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.touchofdeath)

MHParalysisMonitorShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysismonitor)
MHParalysisMonitorScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysismonitor)

MHHealthBarStaggerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhstagger)
MHStaggerTrackerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhstaggertracker)
MHStaggerTrackerNumberShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber)
MHStaggerTrackerPercentShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent)
MHStaggerTrackerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhstaggertracker)
MHTigereyeBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigereyebrewtimer)
MHTigereyeBrewTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigereyebrewtimer)
MHElusiveBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhelusivebrewtimer)
MHElusiveBrewTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhelusivebrewtimer)
MHManaTeaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhmanateatimer)
MHManaTeaTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhmanateatimer)
MHParalysisTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysistimer)
MHParalysisTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysistimer)
MHXuenTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhxuentimer)
MHXuenTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhxuentimer)
MHRisingSunKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrisingsunkicktimer)
MHRisingSunKickTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrisingsunkicktimer)
MHTouchOfKarmaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofkarmatimer)
MHTouchOfKarmaTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtouchofkarmatimer)
MHEnergizingBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhenergizingbrewtimer)
MHEnergizingBrewTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhenergizingbrewtimer)
MHTigerPowerTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpowertimer)
MHTigerPowerTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpowertimer)
MHFlyingSerpentKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer)
MHFlyingSerpentKickTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhflyingserpentkicktimer)
MHRenewingMistTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrenewingmisttimer)
MHRenewingMistTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrenewingmisttimer)
MHKegSmashTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhkegsmashtimer)
MHKegSmashTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhkegsmashtimer)
MHThunderFocusTeaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhthunderfocusteatimer)
MHThunderFocusTeaTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhthunderfocusteatimer)
MHSerpentsZealTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhserpentszealtimer)
MHSerpentsZealTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhserpentszealtimer)
MHFistsOfFuryTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhfistsoffurytimer)
MHFistsOfFuryTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhfistsoffurytimer)
MHGuardTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhguardtimer)
MHGuardTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhguardtimer)
MHShuffleTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhshuffletimer)
MHShuffleTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhshuffletimer)
MHExpelHarmTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhexpelharmtimer)
MHExpelHarmTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhexpelharmtimer)
MHTigersLustTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerslusttimer)
MHTigersLustTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerslusttimer)
MHChiBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibrewtimer)
MHChiBrewTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhchibrewtimer)
MHRingOfPeaceTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhringofpeacetimer)
MHRingOfPeaceTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhringofpeacetimer)
MHDiffuseMagicTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdiffusemagictimer)
MHDiffuseMagicTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdiffusemagictimer)
MHDetoxTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtimer)
MHDetoxTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdetoxtimer)
MHRollTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrolltimer)
MHRollTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrolltimer)
MHProvokeTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhprovoketimer)
MHProvokeTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhprovoketimer)
MHSpearHandStrikeTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhspearhandstriketimer)
MHSpearHandStrikeTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhspearhandstriketimer)
MHZenMeditationTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhzenmeditationtimer)
MHZenMeditationTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhzenmeditationtimer)
MHTranscendenceTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetimer)
MHTranscendenceTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetimer)
MHTranscendenceTransferTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfertimer)
MHTranscendenceTransferTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetransfertimer)
MHVitalMistsTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhvitalmiststimer)
MHVitalMistsTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhvitalmiststimer)
MHBlackoutKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhblackoutkicktimer)
MHBlackoutKickTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhblackoutkicktimer)
MHTigerPalmTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpalmtimer)
MHTigerPalmTimerScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpalmtimer)

MHChiBarShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibar)
MHChiBarBackgroundShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibarbackground)
MHChiBarScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhchibar)
MHResourceBarScale:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhresourcebar)
MHResourceBarWidth:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.resourcebarwidth)
MHResourceBarHeight:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.resourcebarheight)
MHHealthBarHeight:SetValue(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.healthbarheight)
MHEnableHealthBar:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enablehealthbar)
MHEnableResourceBar:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableresourcebar)
MHResourceBarPercent:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarpercent)
MHResourceBarNumber:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarnumber)
MHResourceBarMax:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarmax)
MHHealthBarPercent:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarpercent)
MHHealthBarNumber:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarnumber)
MHHealthBarMax:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarmax)
MHResourceBarReserveShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarreserve)
MHResourceBarMarker1Show:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker1)
MHResourceBarMarker2Show:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker2)
MHResourceBarMarker3Show:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker3)
MHResourceBarReserveInput:SetText("")
MHResourceBarMarker1Input:SetText("")
MHResourceBarMarker2Input:SetText("")
MHResourceBarMarker3Input:SetText("")
MHResourceBarReserveInput:SetText(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarreserve)
MHResourceBarMarker1Input:SetText(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker1)
MHResourceBarMarker2Input:SetText(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker2)
MHResourceBarMarker3Input:SetText(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker3)
MHLowManaSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.lowmana)

_G["MHTigereyeBrewTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigereyebrewtimer]:Click()
_G["MHElusiveBrewTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhelusivebrewtimer]:Click()
_G["MHManaTeaTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhmanateatimer]:Click()
_G["MHParalysisTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhparalysistimer]:Click()
_G["MHXuenTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhxuentimer]:Click()
_G["MHRisingSunKickTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrisingsunkicktimer]:Click()
_G["MHTouchOfKarmaTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtouchofkarmatimer]:Click()
_G["MHEnergizingBrewTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhenergizingbrewtimer]:Click()
_G["MHTigerPowerTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpowertimer]:Click()
_G["MHFlyingSerpentKickTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhflyingserpentkicktimer]:Click()
_G["MHRenewingMistTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrenewingmisttimer]:Click()
_G["MHKegSmashTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhkegsmashtimer]:Click()
_G["MHThunderFocusTeaTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhthunderfocusteatimer]:Click()
_G["MHSerpentsZealTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhserpentszealtimer]:Click()
_G["MHFistsOfFuryTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhfistsoffurytimer]:Click()
_G["MHGuardTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhguardtimer]:Click()
_G["MHShuffleTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhshuffletimer]:Click()
_G["MHExpelHarmTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhexpelharmtimer]:Click()
_G["MHTigersLustTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerslusttimer]:Click()
_G["MHChiBrewTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhchibrewtimer]:Click()
_G["MHRingOfPeaceTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhringofpeacetimer]:Click()
_G["MHDiffuseMagicTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdiffusemagictimer]:Click()
_G["MHDetoxTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdetoxtimer]:Click()
_G["MHRollTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrolltimer]:Click()
_G["MHProvokeTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhprovoketimer]:Click()
_G["MHSpearHandStrikeTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhspearhandstriketimer]:Click()
_G["MHZenMeditationTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhzenmeditationtimer]:Click()
_G["MHTranscendenceTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetimer]:Click()
_G["MHTranscendenceTransferTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetransfertimer]:Click()
_G["MHVitalMistsTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhvitalmiststimer]:Click()
_G["MHBlackoutKickTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhblackoutkicktimer]:Click()
_G["MHTigerPalmTimerStyle"..MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpalmtimer]:Click()

if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end

function MonkHelper_Apply()
MHProfileHeader:SetText(L["PROFILE"]..MonkHelper_Profiles[MonkHelper_ActiveProfile].name)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhminimapbutton = MonkHelper_Convert(MHMiniMapButtonShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.lockframes = MonkHelper_Convert(MHLockFrames:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.hideframes = MonkHelper_Convert(MHHideFrames:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor = MonkHelper_Convert(MHEnableParalysisMonitor:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisapplynotification = MonkHelper_Convert(MHParalysisApplyNotificationShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisremovenotification = MonkHelper_Convert(MHParalysisApplyNotificationShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisannounce = MonkHelper_Convert(MHParalysisApplyNotificationShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.paralysis = MonkHelper_Convert(MHParalysisSound:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbtigerpalm = MonkHelper_Convert(MHEnableTigerPalmSound:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbblackoutkick = MonkHelper_Convert(MHEnableBlackoutKickSound:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.vitalmists = MonkHelper_Convert(MHEnableVitalMistsSound:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.touchofdeath = MonkHelper_Convert(MHEnableTouchOfDeathSound:GetChecked())

MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysismonitor = MHParalysisMonitorScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysismonitor = MonkHelper_Convert(MHParalysisMonitorShow:GetChecked())

MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhstagger = MonkHelper_Convert(MHHealthBarStaggerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhstaggertracker = MHStaggerTrackerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhstaggertracker = MonkHelper_Convert(MHStaggerTrackerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber = MonkHelper_Convert(MHStaggerTrackerNumberShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent = MonkHelper_Convert(MHStaggerTrackerPercentShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigereyebrewtimer = MHTigereyeBrewTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigereyebrewtimer = MonkHelper_Convert(MHTigereyeBrewTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhelusivebrewtimer = MHElusiveBrewTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhelusivebrewtimer = MonkHelper_Convert(MHElusiveBrewTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhmanateatimer = MHManaTeaTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhmanateatimer = MonkHelper_Convert(MHManaTeaTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysistimer = MHParalysisTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysistimer = MonkHelper_Convert(MHParalysisTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhxuentimer = MHXuenTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhxuentimer = MonkHelper_Convert(MHXuenTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrisingsunkicktimer = MHRisingSunKickTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrisingsunkicktimer = MonkHelper_Convert(MHRisingSunKickTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtouchofkarmatimer = MHTouchOfKarmaTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofkarmatimer = MonkHelper_Convert(MHTouchOfKarmaTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhenergizingbrewtimer = MHEnergizingBrewTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhenergizingbrewtimer = MonkHelper_Convert(MHEnergizingBrewTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpowertimer = MHTigerPowerTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpowertimer = MonkHelper_Convert(MHTigerPowerTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhflyingserpentkicktimer = MHFlyingSerpentKickTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer = MonkHelper_Convert(MHFlyingSerpentKickTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrenewingmisttimer = MHRenewingMistTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrenewingmisttimer = MonkHelper_Convert(MHRenewingMistTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhkegsmashtimer = MHKegSmashTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhkegsmashtimer = MonkHelper_Convert(MHKegSmashTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhthunderfocusteatimer = MHThunderFocusTeaTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhthunderfocusteatimer = MonkHelper_Convert(MHThunderFocusTeaTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhserpentszealtimer = MHSerpentsZealTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhserpentszealtimer = MonkHelper_Convert(MHSerpentsZealTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhfistsoffurytimer = MHFistsOfFuryTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhfistsoffurytimer = MonkHelper_Convert(MHFistsOfFuryTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhguardtimer = MHGuardTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhguardtimer = MonkHelper_Convert(MHGuardTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhshuffletimer = MHShuffleTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhshuffletimer = MonkHelper_Convert(MHShuffleTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhexpelharmtimer = MHExpelHarmTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhexpelharmtimer = MonkHelper_Convert(MHExpelHarmTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerslusttimer = MHTigersLustTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerslusttimer = MonkHelper_Convert(MHTigersLustTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhchibrewtimer = MHChiBrewTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibrewtimer = MonkHelper_Convert(MHChiBrewTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhringofpeacetimer = MHRingOfPeaceTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhringofpeacetimer = MonkHelper_Convert(MHRingOfPeaceTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdiffusemagictimer = MHDiffuseMagicTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdiffusemagictimer = MonkHelper_Convert(MHDiffuseMagicTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdetoxtimer = MHDetoxTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtimer = MonkHelper_Convert(MHDetoxTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrolltimer = MHRollTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrolltimer = MonkHelper_Convert(MHRollTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhprovoketimer = MHProvokeTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhprovoketimer = MonkHelper_Convert(MHProvokeTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhspearhandstriketimer = MHSpearHandStrikeTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhspearhandstriketimer = MonkHelper_Convert(MHSpearHandStrikeTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhzenmeditationtimer = MHZenMeditationTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhzenmeditationtimer = MonkHelper_Convert(MHZenMeditationTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetimer = MHTranscendenceTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetimer = MonkHelper_Convert(MHTranscendenceTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetransfertimer = MHTranscendenceTransferTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfertimer = MonkHelper_Convert(MHTranscendenceTransferTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhvitalmiststimer = MHVitalMistsTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhvitalmiststimer = MonkHelper_Convert(MHVitalMistsTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhblackoutkicktimer = MHBlackoutKickTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhblackoutkicktimer = MonkHelper_Convert(MHBlackoutKickTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpalmtimer = MHTigerPalmTimerScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpalmtimer = MonkHelper_Convert(MHTigerPalmTimerShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibar = MonkHelper_Convert(MHChiBarShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibarbackground = MonkHelper_Convert(MHChiBarBackgroundShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhchibar = MHChiBarScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhresourcebar = MHResourceBarScale:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.resourcebarwidth = MHResourceBarWidth:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.resourcebarheight = MHResourceBarHeight:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.healthbarheight = MHHealthBarHeight:GetValue()
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enablehealthbar = MonkHelper_Convert(MHEnableHealthBar:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableresourcebar = MonkHelper_Convert(MHEnableResourceBar:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarpercent = MonkHelper_Convert(MHResourceBarPercent:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarnumber = MonkHelper_Convert(MHResourceBarNumber:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.resourcebarmax = MonkHelper_Convert(MHResourceBarMax:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarpercent = MonkHelper_Convert(MHHealthBarPercent:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarnumber = MonkHelper_Convert(MHHealthBarNumber:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.healthbarmax  = MonkHelper_Convert(MHHealthBarMax:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarreserve = MonkHelper_Convert(MHResourceBarReserveShow:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker1 = MonkHelper_Convert(MHResourceBarMarker1Show:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker2 = MonkHelper_Convert(MHResourceBarMarker2Show:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhresourcebarmarker3 = MonkHelper_Convert(MHResourceBarMarker3Show:GetChecked())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.lowmana = MonkHelper_Convert(MHLowManaSound:GetChecked())

if tonumber(MHResourceBarReserveInput:GetText()) == nil then
MHResourceBarReserveInput:SetText(20)
end
if tonumber(MHResourceBarMarker1Input:GetText()) == nil then
MHResourceBarMarker1Input:SetText(90)
end
if tonumber(MHResourceBarMarker2Input:GetText()) == nil then
MHResourceBarMarker2Input:SetText(80)
end
if tonumber(MHResourceBarMarker3Input:GetText()) == nil then
MHResourceBarMarker3Input:SetText(50)
end
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarreserve = tonumber(MHResourceBarReserveInput:GetText())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker1 = tonumber(MHResourceBarMarker1Input:GetText())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker2 = tonumber(MHResourceBarMarker2Input:GetText())
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.input.mhresourcebarmarker3 = tonumber(MHResourceBarMarker3Input:GetText()) 

MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhparalysistimer = MonkHelper_GetStyle(MHParalysisTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigereyebrewtimer = MonkHelper_GetStyle(MHTigereyeBrewTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhelusivebrewtimer = MonkHelper_GetStyle(MHElusiveBrewTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhmanateatimer = MonkHelper_GetStyle(MHManaTeaTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhxuentimer = MonkHelper_GetStyle(MHXuenTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrisingsunkicktimer = MonkHelper_GetStyle(MHRisingSunKickTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtouchofkarmatimer = MonkHelper_GetStyle(MHTouchOfKarmaTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhenergizingbrewtimer = MonkHelper_GetStyle(MHEnergizingBrewTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpowertimer = MonkHelper_GetStyle(MHTigerPowerTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhflyingserpentkicktimer = MonkHelper_GetStyle(MHFlyingSerpentKickTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrenewingmisttimer = MonkHelper_GetStyle(MHRenewingMistTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhkegsmashtimer = MonkHelper_GetStyle(MHKegSmashTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhthunderfocusteatimer = MonkHelper_GetStyle(MHThunderFocusTeaTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhserpentszealtimer = MonkHelper_GetStyle(MHSerpentsZealTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhfistsoffurytimer = MonkHelper_GetStyle(MHFistsOfFuryTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhguardtimer = MonkHelper_GetStyle(MHGuardTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhshuffletimer = MonkHelper_GetStyle(MHShuffleTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhexpelharmtimer = MonkHelper_GetStyle(MHExpelHarmTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerslusttimer = MonkHelper_GetStyle(MHTigersLustTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhchibrewtimer = MonkHelper_GetStyle(MHChiBrewTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhringofpeacetimer = MonkHelper_GetStyle(MHRingOfPeaceTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdiffusemagictimer = MonkHelper_GetStyle(MHDiffuseMagicTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdetoxtimer = MonkHelper_GetStyle(MHDetoxTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrolltimer = MonkHelper_GetStyle(MHRollTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhprovoketimer = MonkHelper_GetStyle(MHProvokeTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhspearhandstriketimer = MonkHelper_GetStyle(MHSpearHandStrikeTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhzenmeditationtimer = MonkHelper_GetStyle(MHZenMeditationTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetimer = MonkHelper_GetStyle(MHTranscendenceTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetransfertimer = MonkHelper_GetStyle(MHTranscendenceTransferTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhvitalmiststimer = MonkHelper_GetStyle(MHVitalMistsTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhblackoutkicktimer = MonkHelper_GetStyle(MHBlackoutKickTimer)
MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpalmtimer = MonkHelper_GetStyle(MHTigerPalmTimer)

if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
print("|cff00ff96"..L["PROFILE_SAVED"]..MonkHelper_Profiles[MonkHelper_ActiveProfile].name.."|r")
end

-- turns the nil value(unchecked box) into a number for storing in options table for later use
function MonkHelper_Convert(arg)
if arg == nil then
return 0
else 
return arg
end
end


function MonkHelper_Check(loading, alt)
local index = MonkHelper_ActiveProfile
if alt then index = alt end
if not MonkHelper_Profiles then
MonkHelper_Profiles = {{name = UnitName("player"), active = true}}
index = 1
MonkHelper_ActiveProfile = 1
end
if not MonkHelper_Profiles[index].options then
MonkHelper_Profiles[index].options = {
lockframes = 0,
hideframes = 0,
enableparalysismonitor = 1,
enableresourcebar = 1,
enablehealthbar = 1,
resourcebarwidth = 192,
healthbarheight = 12,
resourcebarheight = 24,
resourcebartextheight = 12,
healthbartextheight = 12,


style = {
mhchibar = 1,
mhtigereyebrewtimer = 1,
mhelusivebrewtimer = 1,
mhmanateatimer = 1,
mhparalysistimer = 1,
mhxuentimer = 1,
mhrisingsunkicktimer = 1,
mhtouchofkarmatimer = 1,
mhenergizingbrewtimer = 1,
mhtigerpowertimer = 1,
mhflyingserpentkicktimer = 1,
mhrenewingmisttimer = 1,
mhkegsmashtimer = 1,
mhthunderfocusteatimer = 1,
mhserpentszealtimer = 1,
mhfistsoffurytimer = 1,
mhguardtimer = 1,
mhshuffletimer = 1,
mhexpelharmtimer = 1,
mhtigerslusttimer = 1,
mhchibrewtimer = 1,
mhringofpeacetimer = 1,
mhdiffusemagictimer = 1,
mhdetoxtimer = 1,
mhrolltimer = 1,
mhprovoketimer = 1,
mhspearhandstriketimer = 1,
mhzenmeditationtimer = 1,
mhtranscendencetimer = 1,
mhtranscendencetransfertimer = 1,
mhvitalmiststimer = 1,
mhblackoutkicktimer = 1,
mhtigerpalmtimer = 1,
},

sound = {
paralysis = 1,
cbtigerpalm = 1,
cbblackoutkick = 1,
cbchiexplosion = 1,
touchofdeath = 1,
tigereyebrew = 1,
manatea = 1,
elusivebrew = 1,
vitalmists = 1,
fullchi = 1,
stormearthandfire = 1,
lowmana = 1,

},

input = {
tigerslustmessage = "Tiger's Lust cast on you",
mhresourcebarreserve = 20,
mhresourcebarmarker1 = 90,
mhresourcebarmarker2 = 80,
mhresourcebarmarker3 = 30,
},

scale = {
mhtranscendencetransfernotification = 1,
mhtouchofdeathnotification = 1,
mhstormearthandfiretracker = 1,
mhstaggertracker = 1,
mhchibar = 1,
mhresourcebar = 1,
mhstats = 0.85,
mhdetoxtracker = 1,
mhtigereyebrewtimer = 1,
mhelusivebrewtimer = 1,
mhmanateatimer = 1,
mhparalysistimer = 1,
mhparalysismonitor = 1,
mhxuentimer = 1,
mhrisingsunkicktimer = 1,
mhtouchofkarmatimer = 1,
mhenergizingbrewtimer = 1,
mhtigerpowertimer = 1,
mhflyingserpentkicktimer = 1,
mhrenewingmisttimer = 1,
mhkegsmashtimer = 1,
mhthunderfocusteatimer = 1,
mhserpentszealtimer = 1,
mhfistsoffurytimer = 1,
mhguardtimer = 1,
mhshuffletimer = 1,
mhexpelharmtimer = 1,
mhtigerslusttimer = 1,
mhchibrewtimer = 1,
mhringofpeacetimer = 1,
mhdiffusemagictimer = 1,
mhdetoxtimer = 1,
mhrolltimer = 1,
mhprovoketimer = 1,
mhspearhandstriketimer = 1,
mhzenmeditationtimer = 1,
mhtranscendencetimer = 1,
mhtranscendencetransfertimer = 1,
mhvitalmiststimer = 1,
mhblackoutkicktimer = 1,
mhtigerpalmtimer = 1,
},

show = {
mhstagger = 1,
staggerpercent = 0,
staggernumber = 1,
mhresourcebarreserve = 1,
mhresourcebarmarker1 = 1,
mhresourcebarmarker2 = 1,
mhresourcebarmarker3 = 0,
mhresourcebarpercent = 1,
resourcebarnumber = 0,
healthbarnumber = 1,
healthbarpercent = 0,
healthbarmax = 0,
resourcebarmax = 0,
mhtranscendencetransfernotification = 1,
mhtouchofdeathnotification = 1,
mhstormearthandfiretracker = 1,
mhstaggertracker = 1,
mholdstaggertracker = 0,
mhchibar = 1,
mhchibarbackground,
mhstats = 1,
tigerslustmessage = 1,
mhdetoxtracker = 1,
mhtigereyebrewtimer = 1,
mhelusivebrewtimer = 1,
mhmanateatimer = 1,
mhparalysistimer = 1,
mhminimapbutton = 1,
mhparalysismonitor = 1,
paralysisapplynotification = 1,
paralysisremovenotification = 1,
paralysisannounce = 1,
mhxuentimer = 1,
mhrisingsunkicktimer = 1,
mhtouchofkarmatimer = 1,
mhenergizingbrewtimer = 1,
mhtigerpowertimer = 1,
mhflyingserpentkicktimer = 1,
mhrenewingmisttimer = 1,
mhkegsmashtimer = 1,
mhthunderfocusteatimer = 1,
mhserpentszealtimer = 1,
mhfistsoffurytimer = 1,
mhguardtimer = 1,
mhshuffletimer = 1,
mhexpelharmtimer = 1,
mhtigerslusttimer = 1,
mhchibrewtimer = 1,
mhringofpeacetimer = 1,
mhdiffusemagictimer = 1,
mhdetoxtimer = 1,
mhrolltimer = 1,
mhprovoketimer = 1,
mhspearhandstriketimer = 1,
mhzenmeditationtimer = 1,
mhtranscendencetimer = 1,
mhtranscendencetransfertimer = 1,
mhvitalmiststimer = 1,
mhblackoutkicktimer = 1,
mhtigerpalmtimer = 1,
},

-- Frame Positions

MHTranscendenceTransferNotificationDrag = {"CENTER", nil, "CENTER", 0, 220},
MHTouchOfDeathNotificationDrag = {"CENTER", nil, "CENTER", 0, 150},
MHResourceBarDrag = {"CENTER", nil, "CENTER", 0, -100},
MHStatsDrag = {"CENTER", nil, "CENTER", 150, 50},
MHStaggerTrackerDrag = {"CENTER", nil, "CENTER", 150, 150},
MHChiBarDrag = {"CENTER", nil, "CENTER", 0, -20},
MHStormEarthAndFireTracker = {"CENTER", nil, "CENTER", 100, -150},
CastingBarFrameDrag = {"BOTTOM", nil, "BOTTOM", 0, 195},
MHTigerPalmTimerDrag = {"CENTER", nil, "CENTER", -350, 282},
MHParalysisTimerDrag = {"CENTER", nil, "CENTER", -350, 250},
MHXuenTimerDrag = {"CENTER", nil, "CENTER", -350, 218},
MHRisingSunKickTimerDrag = {"CENTER", nil, "CENTER", -350, 186},
MHTouchOfKarmaTimerDrag = {"CENTER", nil, "CENTER", -350, 154},
MHEnergizingBrewTimerDrag = {"CENTER", nil, "CENTER", -350, 122},
MHTigerPowerTimerDrag = {"CENTER", nil, "CENTER", -350, 90},
MHFlyingSerpentKickTimerDrag = {"CENTER", nil, "CENTER", -350, 58},
MHZenMeditationTimerDrag = {"CENTER", nil, "CENTER", -350, 26},
MHTranscendenceTimerDrag = {"CENTER", nil, "CENTER", -350, -6},
MHTranscendenceTransferTimerDrag = {"CENTER", nil, "CENTER", -350, -38},
MHVitalMistsTimerDrag = {"CENTER", nil, "CENTER", -350, -70},
MHBlackoutKickTimerDrag = {"CENTER", nil, "CENTER", -350, -102},
MHManaTeaTimerDrag = {"CENTER", nil, "CENTER", -350, -134},
MHTigereyeBrewTimerDrag = {"CENTER", nil, "CENTER", -350, -166},
MHElusiveBrewTimerDrag = {"CENTER", nil, "CENTER", -350, -198},
MHParalysisMonitorDrag = {"CENTER", nil, "CENTER", -350, -230},

MHSpearHandStrikeTimerDrag = {"CENTER", nil, "CENTER", -477, 282},
MHRenewingMistTimerDrag = {"CENTER", nil, "CENTER", -477, 250},
MHKegSmashTimerDrag = {"CENTER", nil, "CENTER", -477, 218},
MHThunderFocusTeaTimerDrag = {"CENTER", nil, "CENTER", -477, 186},
MHSerpentsZealTimerDrag = {"CENTER", nil, "CENTER", -477, 154},
MHFistsOfFuryTimerDrag = {"CENTER", nil, "CENTER", -477, 122},
MHGuardTimerDrag = {"CENTER", nil, "CENTER", -477, 90},
MHShuffleTimerDrag = {"CENTER", nil, "CENTER", -477, 58},
MHExpelHarmTimerDrag = {"CENTER", nil, "CENTER", -477, 26},
MHTigersLustTimerDrag = {"CENTER", nil, "CENTER", -477, -6},
MHChiBrewTimerDrag = {"CENTER", nil, "CENTER", -477, -38},
MHRingOfPeaceTimerDrag = {"CENTER", nil, "CENTER", -477, -70},
MHDiffuseMagicTimerDrag = {"CENTER", nil, "CENTER", -477, -102},
MHDetoxTimerDrag = {"CENTER", nil, "CENTER", -477, -134},
MHRollTimerDrag = {"CENTER", nil, "CENTER", -477, -166},
MHProvokeTimerDrag = {"CENTER", nil, "CENTER", -477, -198},
MHDetoxTrackerDrag = {"CENTER", nil, "CENTER", 200, -150},

}

print("|cff00ff96"..L["PROFILE_SAVED"]..MonkHelper_Profiles[index].name.."|r")
if loading ~= true then
MonkHelper_PlaceFrames()
MonkHelper_Cancel()
end
end

if not MonkHelperMiniMap then
MonkHelperMiniMap = {}
end

if not MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfernotification then
for idx = 1, #MonkHelper_Profiles do
MonkHelper_Profiles[idx].options.scale.mhtranscendencetransfernotification = 1
MonkHelper_Profiles[idx].options.show.mhtranscendencetransfernotification = 1
MonkHelper_Profiles[idx].options.show.staggernumber = 1
MonkHelper_Profiles[idx].options.show.staggerpercent = 0
MonkHelper_Profiles[idx].options.show.mhstagger = 1

end
end

if not MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibarbackground then
for idx = 1, #MonkHelper_Profiles do
MonkHelper_Profiles[idx].options.show.mhchibarbackground = 1
MonkHelper_Profiles[idx].options.sound.lowmana = 1
MonkHelper_Profiles[idx].options.input.mhresourcebarreserve = 20
MonkHelper_Profiles[idx].options.input.mhresourcebarmarker1 = 90
MonkHelper_Profiles[idx].options.input.mhresourcebarmarker2 = 80
MonkHelper_Profiles[idx].options.input.mhresourcebarmarker3 = 30
MonkHelper_Profiles[idx].options.show.mhresourcebarreserve = 1
MonkHelper_Profiles[idx].options.show.mhresourcebarmarker1 = 1
MonkHelper_Profiles[idx].options.show.mhresourcebarmarker2 = 1
MonkHelper_Profiles[idx].options.show.mhresourcebarmarker3 = 0
MonkHelper_Profiles[idx].options.show.mhresourcebarpercent = 1
MonkHelper_Profiles[idx].options.show.resourcebarnumber = 0
MonkHelper_Profiles[idx].options.show.healthbarnumber = 1
MonkHelper_Profiles[idx].options.show.healthbarpercent = 0
MonkHelper_Profiles[idx].options.show.healthbarmax = 0
MonkHelper_Profiles[idx].options.show.resourcebarmax = 0
MonkHelper_Profiles[idx].options.scale.mhresourcebar = 1
end
end

end

function MonkHelper_MenuOnEnter(self)
local buttons = MHMenuButtons
if self:GetParent() == MHProfileFrameContent then
buttons = #MonkHelper_Profiles
end
for idx = 1, buttons do
local frame = _G[self:GetParent():GetName().."Button"..idx]
if frame.clicked ~= true then
_G[self:GetParent():GetName().."Button"..idx.."Highlight"]:Hide()
end
end
_G[self:GetName().."Highlight"]:Show()
if self.clicked ~= true then
_G[self:GetName().."Highlight"]:SetTexture(0, 0.7, 1, 0.6)
else
_G[self:GetName().."Highlight"]:SetTexture(1, 1, 0, 0.6)
end
end

function MonkHelper_MenuOnLeave(self)
local buttons = MHMenuButtons
if self:GetParent() == MHProfileFrameContent then
buttons = #MonkHelper_Profiles
end
for idx = 1, buttons do
local frame = _G[self:GetParent():GetName().."Button"..idx]
if frame.clicked ~= true then
_G[self:GetParent():GetName().."Button"..idx.."Highlight"]:Hide()
end
end
end

function MonkHelper_MenuOnClick(self)
local buttons = MHMenuButtons
if self:GetParent() == MHProfileFrameContent then
buttons = #MonkHelper_Profiles
end
for idx = 1, buttons do
local frame = _G[self:GetParent():GetName().."Button"..idx]
frame.clicked = false
_G[self:GetParent():GetName().."Button"..idx.."Highlight"]:Hide()
_G[self:GetParent():GetName().."Button"..idx.."Text"]:SetTextColor(1, 0.83, 0)
if self:GetParent() ~= MHProfileFrameContent then
frame.parent:Hide()
else
MHProfileInput:SetText(_G[self:GetName().."Text"]:GetText())
end
end
self.clicked = true
_G[self:GetName().."Highlight"]:Show()
_G[self:GetName().."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G[self:GetName().."Text"]:SetTextColor(1, 1, 1)
if self:GetParent() ~= MHProfileFrameContent then
self.parent:Show()
end
end



function MonkHelper_UpdateProfile()

for idx = 1, #MonkHelper_Profiles do

if not _G["MHProfileFrameContentButton"..idx] then
local button = CreateFrame("Button", "$parentButton"..idx, MHProfileFrameContent)
button.clicked = false
button:SetWidth(120)
button:SetHeight(20)
if button == MHProfileFrameContentButton1 then
button:SetPoint("TOP", MHProfileFrameContent, "TOP")
else
button:SetPoint("TOP", _G[MHProfileFrameContent:GetName().."Button"..idx - 1], "BOTTOM")
end
button:SetScript("OnEnter", MonkHelper_MenuOnEnter)
button:SetScript("OnLeave", MonkHelper_MenuOnLeave)
button:SetScript("OnClick", MonkHelper_MenuOnClick)
text = button:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetPoint("CENTER")
text:SetTextColor(1, 0.83, 0)
highlight = button:CreateTexture("$parentHighlight")
highlight:SetAllPoints()
highlight:Hide()
_G["MHProfileFrameContentButton"..idx]:Show()
else
button = _G["MHProfileFrameContentButton"..idx]
text = _G["MHProfileFrameContentButton"..idx.."Text"]
highlight = _G["MHProfileFrameContentButton"..idx.."Highlight"]
button.clicked = false
if button == MHProfileFrameContentButton1 then
button:ClearAllPoints()
button:SetPoint("TOP", MHProfileFrameContent, "TOP")
else
button:ClearAllPoints()
button:SetPoint("TOP", _G[MHProfileFrameContent:GetName().."Button"..idx - 1], "BOTTOM")
end
text:SetTextColor(1, 0.83, 0)
text:SetText(MonkHelper_Profiles[idx].name)
highlight:Hide()
end
_G[MHProfileFrameContent:GetName().."Button"..idx.."Text"]:SetText(MonkHelper_Profiles[idx].name)
_G[MHProfileFrameContent:GetName().."Button"..idx]:Show()
end


for idx = 1, #MonkHelper_Profiles do
if MonkHelper_Profiles[idx].active == true then
MHtimerbypass = 0
MHcastingbarframedelay = 0
print("|cff00ff96"..L["PROFILE_LOADED"]..MonkHelper_Profiles[idx].name.."|r")
MonkHelper_ActiveProfile = idx
MHProfileInput:SetText("")
MonkHelper_PlaceFrames()
MonkHelper_Cancel()
break
end
end

end


function MonkHelper_BarStyle(name, parent, y)
local frame
frame = CreateFrame("CheckButton", name.."Style1", parent, "ChatConfigCheckButtonTemplate")
frame:ClearAllPoints()
frame:SetPoint("TOPRIGHT", MHTimersContent, "TOPRIGHT", -190, y)
_G[name.."Style1Text"]:SetText(L["BAR_STYLE"])
frame:SetScript("OnClick", function(self)
_G[name.."Style1"]:SetChecked(1)
_G[name.."Style2"]:SetChecked(nil)
_G[name.."Style3"]:SetChecked(nil)
_G[name.."Text"]:Show()
_G[name.."BG"]:Show()
_G[name.."Icon"]:SetWidth(28)
_G[name.."Icon"]:SetHeight(28)
_G[name.."Bar"]:Show()
_G[name.."Bar"]:SetWidth(_G[name.."BG"]:GetWidth() - _G[name.."Icon"]:GetWidth() - 2)
_G[name.."Cooldown"]:Hide()
end)

frame = CreateFrame("CheckButton", name.."Style2", parent, "ChatConfigCheckButtonTemplate")
frame:ClearAllPoints()
frame:SetPoint("TOPRIGHT", MHTimersContent, "TOPRIGHT", -190, y - 20)
_G[name.."Style2Text"]:SetText(L["SMALL_BAR_STYLE"])
frame:SetScript("OnClick", function(self)
_G[name.."Style1"]:SetChecked(nil)
_G[name.."Style2"]:SetChecked(1)
_G[name.."Style3"]:SetChecked(nil)
_G[name.."Text"]:Hide()
_G[name.."BG"]:Hide()
_G[name.."Icon"]:SetWidth(20)
_G[name.."Icon"]:SetHeight(20)
_G[name.."Bar"]:Show()
_G[name.."Bar"]:SetWidth(80)
_G[name.."Cooldown"]:Hide()
end)

frame = CreateFrame("CheckButton", name.."Style3", parent, "ChatConfigCheckButtonTemplate")
frame:ClearAllPoints()
frame:SetPoint("TOPRIGHT", MHTimersContent, "TOPRIGHT", -190, y - 40)
_G[name.."Style3Text"]:SetText(L["COOLDOWN_STYLE"])
frame:SetScript("OnClick", function(self)
_G[name.."Style1"]:SetChecked(nil)
_G[name.."Style2"]:SetChecked(nil)
_G[name.."Style3"]:SetChecked(1)
_G[name.."Text"]:Hide()
_G[name.."BG"]:Hide()
_G[name.."Icon"]:SetWidth(28)
_G[name.."Icon"]:SetHeight(28)
_G[name.."Bar"]:Hide()
_G[name.."Cooldown"]:Show()
end)

end

function MonkHelper_GetStyle(frame)
for idx = 1, 3 do
if frame ~= nil then
if _G[frame:GetName().."Style"..idx]:GetChecked() ~= nil then
return idx
end
end
end
end




end
